package com.ywt.outpatient.domain.entity.center;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "hospital")
public class Hospital {

    @Id
    private Integer id;

    /**
     * 名称
     */
    @Column(nullable = false)
    private String name;

    /**
     * 地址
     */
    private String address;

    /**
     * 电话
     */
    private String tellphone;

    /**
     * 医院编码
     */
    private String code;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private boolean isDeleted;

    /**
     * 状态：0-正常 1-禁用
     */
    @Column(name = "status", nullable = false)
    public Integer status;

    /**
     * 医院级别（
     * 1：三级甲等；2：三级乙等；3：三级丙等
     * 4：二级甲等；5：二级乙等；6：二级丙等
     * 7：一级甲等；8：一级乙等；9：一级丙等
     * ）
     */
    @Column(name = "level", nullable = false)
    private Integer level;

    /**
     * 权重，数字越大，排序越靠前
     */
    private Integer weight;

    /**
     * 对应area表id
     */
    @Column(name = "area_ids")
    private String areaIds;

    /**
     * 医院图标
     */
    @Column(name = "logo")
    private String logo;

    /**
     * 能否挂号 0：不能；1：能
     */
    @Column(name = "registerable")
    private int registerable;

    /**
     * 父ID
     */
    @Column(name = "parent_id")
    private Integer parentId;

    /**
     * 状态，0-禁用，1-启用
     */
    @Column(name = "intro_status", nullable = false)
    private Integer introStatus = 0;

    /**
     * 内容
     */
    @Column(name = "intro_content")
    private String introContent;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTellphone() {
        return tellphone;
    }

    public void setTellphone(String tellphone) {
        this.tellphone = tellphone;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getAreaIds() {
        return areaIds;
    }

    public void setAreaIds(String areaIds) {
        this.areaIds = areaIds;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public int getRegisterable() {
        return registerable;
    }

    public void setRegisterable(int registerable) {
        this.registerable = registerable;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getIntroStatus() {
        return introStatus;
    }

    public void setIntroStatus(Integer introStatus) {
        this.introStatus = introStatus;
    }

    public String getIntroContent() {
        return introContent;
    }

    public void setIntroContent(String introContent) {
        this.introContent = introContent;
    }
}
